summaryrefslogtreecommitdiff
path: root/bin/mail_room
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mail_room')
-rwxr-xr-xbin/mail_room50
1 files changed, 50 insertions, 0 deletions
diff --git a/bin/mail_room b/bin/mail_room
new file mode 100755
index 00000000000..74a84f5b2b4
--- /dev/null
+++ b/bin/mail_room
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+cd $(dirname $0)/..
+app_root=$(pwd)
+
+mail_room_pidfile="$app_root/tmp/pids/mail_room.pid"
+mail_room_logfile="$app_root/log/mail_room.log"
+mail_room_config="$app_root/config/mail_room.yml"
+
+get_mail_room_pid()
+{
+ local pid=$(cat $mail_room_pidfile)
+ if [ -z "$pid" ] ; then
+ echo "Could not find a PID in $mail_room_pidfile"
+ exit 1
+ fi
+ mail_room_pid=$pid
+}
+
+start()
+{
+ bin/daemon_with_pidfile $mail_room_pidfile bundle exec mail_room -q -c $mail_room_config >> $mail_room_logfile 2>&1
+}
+
+stop()
+{
+ get_mail_room_pid
+ kill -TERM $mail_room_pid
+}
+
+restart()
+{
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ ;;
+esac